Back to reference
GET/payments/{paymentUuid}/status
Payments

Get payment status

Returns the latest orchestrated payment state.

Access tierauthenticatedRate limitpay_apiIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/Modules/PayAPI/Controllers/StatusController.php::showLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
paymentUuidpath
stringRequired

Payment UUID.

Example: cf1b7e8e-5bba-4ddb-b2e4-6f4a10d24857

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/payments/cf1b7e8e-5bba-4ddb-b2e4-6f4a10d24857/status' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

Responses

200Successful response.
success
boolean
Example: true
data
PaymentResult
{
  "success": true,
  "data": {
    "success": false,
    "transaction_id": "string",
    "status": "string",
    "provider": "string",
    "provider_ref": "string",
    "amount": 1,
    "currency": "string",
    "fee_amount": 1,
    "net_amount": 1,
    "message": "string",
    "error_code": "string",
    "is_duplicate": false,
    "metadata": {}
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection